Package org.apache.calcite.avatica.remote

## Enum HostnameVerificationConfigurable.HostnameVerification

- java.lang.Object
- - java.lang.Enum<HostnameVerificationConfigurable.HostnameVerification>
  - - org.apache.calcite.avatica.remote.HostnameVerificationConfigurable.HostnameVerification

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HostnameVerificationConfigurable.HostnameVerification>`

Enclosing interface:
  HostnameVerificationConfigurable

    public static enum HostnameVerificationConfigurable.HostnameVerification
    extends java.lang.Enum<HostnameVerificationConfigurable.HostnameVerification>

Describes the support hostname verification methods of `AvaticaHttpClient`.

### Enum Constant Summary

Enum Constants
`NONE` No verification is performed.
`STRICT` The common name (CN) on the certificate must match the server's hostname.

### Constructor Summary

Constructors
`private` `HostnameVerification()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HostnameVerificationConfigurable.HostnameVerification` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HostnameVerificationConfigurable.HostnameVerification[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRICT

    public static final HostnameVerificationConfigurable.HostnameVerification STRICT

The common name (CN) on the certificate must match the server's hostname.

#### NONE

    public static final HostnameVerificationConfigurable.HostnameVerification NONE

No verification is performed.

### Constructor Detail

#### HostnameVerification

    private HostnameVerification()

### Method Detail

#### values

    public static HostnameVerificationConfigurable.HostnameVerification[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HostnameVerificationConfigurable.HostnameVerification c : HostnameVerificationConfigurable.HostnameVerification.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HostnameVerificationConfigurable.HostnameVerification valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null